package day_15_test

import (
	"advent_of_code_2024/day_15"
	"advent_of_code_2024/helpers"
	_ "embed"
	"testing"
)

//go:embed example_data.txt
var ExampleData string

//go:embed example_data_01.txt
var ExampleData01 string

func TestBasicSolutionExample(t *testing.T) {
	helpers.Check(t, day_15.SolveBasic, helpers.Format(ExampleData), 2028)
}

func TestBasicSolutionExample01(t *testing.T) {
	helpers.Check(t, day_15.SolveBasic, helpers.Format(ExampleData01), 10092)
}

func TestComplexSolutionExample(t *testing.T) {
	helpers.Check(t, day_15.SolveComplex, helpers.Format(ExampleData01), 9021)
}
